Loading...
Searching...
No Matches
Catch::Clara Namespace Reference

## Namespaces

namespace | Detail

## Classes

struct | accept_many_t
class | Arg
class | Args
class | ExeName
struct | Help
class | Opt
class | Parser

## Typedefs

using | ParserResult

## Enumerations

enum class | ParseResultType { Matched , NoMatch , ShortCircuitAll , ShortCircuitSame }

## Variables

constexpr accept_many_t | accept_many {}

## Typedef Documentation

## ParserResult

using Catch::Clara::Detail::ParserResult

## Enumeration Type Documentation

## ParseResultType

enum class Catch::Clara::ParseResultType

strong

Enumerator
Matched |
NoMatch |
ShortCircuitAll |
ShortCircuitSame |

## Variable Documentation

## accept_many

accept_many_t Catch::Clara::accept_many {}

constexpr